<?php

/**
 * @link              http://jeweltheme.com
 * @since             1.1.0
 * @package           WP_Awesome_City_Weather_Report
 *
 * @wordpress-plugin
 * Plugin Name: 		WP Awesome City Weather Report
 * Plugin URI:        	https://wordpress.org/plugins/ultimate-blocks-for-gutenberg/
 * Description: 		WP Awesome City Weather Report is a Widget that displays a specified city weather Report
 * Version: 			1.0.2
 * Author: 				Liton Arefin
 * Author URI: 		  	https://wordpress.org/plugins/ultimate-blocks-for-gutenberg/
 * License:           	GPL-2.0+
 * License URI:       	http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       	jeweltheme
 * Domain Path:       	/languages
 */


/**
 * API Endpoint Example
 * http://api.wunderground.com/api/6a71941176e55332/conditions/q/CA/San_Francisco.json
**/

// Exit if Accessed Directly
if(!defined('ABSPATH')){
	exit;
}

// Load Scripts
require_once(plugin_dir_path(__FILE__) . '/includes/city-weather-report-scripts.php');

// Load Geoplugin
require_once(plugin_dir_path(__FILE__) . '/includes/geoplugin.class.php');

// Load Class
require_once(plugin_dir_path(__FILE__) . '/includes/city-weather-report-class.php');

require_once dirname( __FILE__ ) . '/includes/easy-blocks.php';

// Register Widget
function register_city_weather_report(){
	register_widget('City_Weather_Report_Widget');
}

add_action('widgets_init', 'register_city_weather_report');